FROM openjdk:8u181-alpine

ARG VERSION

ENV VERSION=$VERSION

ENV  dbprofile='' javaopts="" SPRING_DATASOURCE_URL="" SPRING_DATASOURCE_USERNAME="" SPRING_DATASOURCE_PASSWORD=""

USER nobody

#RUN apk update && apk add wget

WORKDIR /app

COPY /target/assignment-${VERSION}.jar /app/app.jar

#COPY --chown=nobody:nobody /target/${VERSION}.jar /app/app.jar
#COPY --chown=nobody:nobody /checkmysql.sh /app/checkmysql.sh

EXPOSE 8090

#USER nobody

CMD java ${dbprofile} ${javaopts} -Dspring.datasource.url=${SPRING_DATASOURCE_URL} -Dspring.datasource.username=${SPRING_DATASOURCE_USERNAME} -Dspring.datasource.password=${SPRING_DATASOURCE_PASSWORD} -jar app.jar